var url = "http://localhost/~mir/test.php?name=";
var output = new Array();
var httpRequest;
var fields = new Object();

/**
* Get the XMLHttpRequest Object
* \return XMLHttpRequst, or <i>false</i> if fail
*/
function getXMLHttpRequest() {
    if (window.XMLHttpRequest) { // Mozilla, Safari, ...
        httpRequest = new XMLHttpRequest();
        if (httpRequest.overrideMimeType) {
            httpRequest.overrideMimeType('text/xml');
        }
    } 
    else if (window.ActiveXObject) { // IE
        try {
            httpRequest = new ActiveXObject("Msxml2.XMLHTTP");
        } 
        catch (e) {
            try {
                httpRequest = new ActiveXObject("Microsoft.XMLHTTP");
            } 
            catch (e) {}
        }
    }
	if (!httpRequest) {
        alert('Giving up :( Cannot create an XMLHTTP instance');
        return false;
    }
	return true;
}

function handleHttpResponse(response, xml) {
	if (xml == true) {
		var text = response.getElementsByTagName('param')[0].firstChild.data
		text = text + " : " + response.getElementsByTagName('greeting')[0].firstChild.data
		document.getElementById("textarea").value = text
	}
	else {
		document.getElementById("textarea").value = response.value
	}
}

function setField(field, value) {
	fields[field] = value
}

function getContactByName(name) {
	if (httpRequest == null) {
		alert("Could not initiate AJAX Session")
		return null
	}
	httpRequest.onreadystatechange = function() {
        if (httpRequest.readyState == 4) {
			if (httpRequest.status == 200)
				handleHttpResponse(httpRequest.responseXML, true)
		}
	}
	httpRequest.open("GET", url + name, true)
	httpRequest.send(null)
}

function handleEvent(field) {
	try {
		var f = fields[field]
		if (f == "search_name") {
			var name = document.getElementById(f).value
			getContactByName(name)
		}
	}
	catch (e) {
		return false
	}
}

if (!getXMLHttpRequest()) {
	document.location = 'error.html';
}
window.onload = setField("name", "search_name");


