<?php
/* $Id: users.php 46 2009-10-25 00:36:00Z mir $ */
require_once 'config.inc.php';
require_once 'user_validate.php';

valid_user();

if (! defined($_SESSION['__ROOT__']) && empty($_SESSION['__ROOT__'])) {
    if (session_id())
        session_destroy();
    header('Location: ' . WEB_ROOT . 'error.html');
    exit;
}

require_once 'persistens.php';

include TOP_FOLDER.'/include/header.inc.php';
include TOP_FOLDER.'/include/menu.inc.php';
$self =$_SERVER['PHP_SELF'];
$db = Persistens::getInstance(DBDRIVER);

if (count($_POST) > 0 && isset($_POST['action'])) {

    if (strtolower($_POST['action']) == 'delete') {
        $error = '';
        if (isset($_POST['uid']) && ! empty($_POST['uid'])) {
            foreach ($_POST['uid'] as $uid) {
                $result = $db->deleteUser($uid);
                if ($result !== TRUE) {
                    $error .= "$result<br/>";
                }
            }
        }
        else
            $error = 'No user selected for deletion';
        if ($error == '')
            $result = "Users was succesfully delete";
        else
            $result = $error;
    }
    $pageView .= <<<__EOF
<p style="text-align: center">
    $result
</p>
__EOF;
}
else {
    $pageView = <<<__EOF
    <form action="$self" method="post" id="form">
    <p>
        <table class="config">
            <tr>
                <td colspan="3" style="text-align: center;
                    font-weight: bold;font-size: 2.0em;">
                    Manage users
                </td>
            </tr>
            <tr>
                <th>Username</th><th>Role</th><th>&nbsp;</th>
            </tr>
__EOF;
    $users = $db->getAllUsers();
    foreach ($users as $user) {
        if (strtoupper($user['uid']) == 'ADMIN') {
            $pageView .= "<tr><td>{$user['uid']}</td><td>{$user['userrole']}</td>
            <td>&nbsp;</td>
            </tr>";
        }
        else {
            $pageView .= "<tr><td>{$user['uid']}</td><td>{$user['userrole']}</td>
            <td><input type=\"checkbox\" name=\"uid[]\" value=\"{$user['uid']}\"/></td>
            </tr>";
        }
    }
    $pageView .= '<tr><td class="config" colspan="3" style="text-align: center">
                    <input type="submit" name="action" value="Delete"/>
                    <input type="button" value="New user"
                        onclick="document.location.href=\'newuser.php\'">
                </td></tr></table></p></form>';
}

print "<div id=\"ui\">$pageView</div>";

include TOP_FOLDER.'/include/footer.inc.php';

?>
